import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;


public class ThreadCopiatore implements Runnable{

	private String filename;
	private int nCopia;

	public ThreadCopiatore(String filename,int n){
		nCopia = n;
		this.filename = filename;
	}

	public void run(){
		try{
			FileInputStream fis = new FileInputStream(filename);
			String fileTok[] = filename.split(".");
			String fileNuovo = fileTok[0]+nCopia+fileTok[1];
			FileOutputStream fos = new FileOutputStream(fileNuovo);
			byte[] buffer = new byte[1024];
			int dim = 0;
			while((dim = fis.read(buffer))!=-1){
				fos.write(buffer, 0, dim);
				fos.flush();
			}
			fos.close();
		}
		catch(IOException ioe){ioe.printStackTrace();}
	}

}
