import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;


public class ThreadScrittore implements Runnable{

	private ZipInputStream zis;
	private int entryNum;

	public ThreadScrittore(ZipInputStream zis, int entryNum) {
		this.zis = zis;
		this.entryNum = entryNum;
	}

	@Override
	public void run() {
		System.out.println(Thread.currentThread().getName());
		ZipEntry ze = null;
		int entryCount = 0;
		int b;
		try{
			while((ze= zis.getNextEntry()) != null){
				if(entryCount == entryNum){
					FileOutputStream fos = new FileOutputStream(ze.getName());
					while((b=zis.read())!=-1){
						fos.write(b);
					}
					zis.closeEntry();
					fos.flush();
					fos.close();
				}
				entryCount++;
			}
		}catch(IOException ioe){System.out.println("IO");}
	}

}
